%global commit 4ec931149a1a3c9eb08ae7a9b57fd1ee45711eb0
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-tycho
Version:        0.7.0
Release:        0.4.git%{shortcommit}%{?dist}
Summary:        M2E Tycho connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-tycho/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-tycho/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.debug.core)
BuildRequires:  osgi(org.eclipse.jdt.core)
BuildRequires:  osgi(org.eclipse.jdt.launching)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)
BuildRequires:  osgi(org.eclipse.pde.core)

%description
This package provides Tycho connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-tycho-%{commit}
find -name *.jar -delete

# Activate P2 repo generation and installation
ln -s site.xml org.sonatype.tycho.update/category.xml

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.tycho.m2e.tests

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.tycho.m2e.feature/license.html

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-0.4.git4ec9311
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 11 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7.0-0.3.git4ec9311
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-0.2.git4ec9311
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 26 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7.0-0.1.git4ec9311
- Initial packaging
